<project xmlns="http://maven.apache.org/POM/4.0.0">

    <groupId>com.songoda</groupId>
    <artifactId>UltimateTimber</artifactId>
    <version>2.0.8</version>
    <modelVersion>4.0.0</modelVersion>
    <packaging>pom</packaging>

    <modules>
        <module>UltimateTimber/Core</module>
        <module>UltimateTimber/Plugin</module>
        <module>UltimateTimber-Adapter/Current</module>
        <module>UltimateTimber-Adapter/Legacy</module>
        <module>UltimateTimber-Hook/Jobs</module>
        <module>UltimateTimber-Hook/McMMO</module>
        <module>UltimateTimber-Hook/McMMOClassic13</module>
        <module>UltimateTimber-Hook/McMMOClassic12</module>
        <module>UltimateTimber-Hook/McMMOClassic8</module>
        <module>UltimateTimber-Hook/CoreProtect</module>
    </modules>

    <repositories>
        <repository>
            <id>private</id>
            <url>https://repo.songoda.com/artifactory/private/</url>
        </repository>
        <repository>
            <id>public</id>
            <url>http://repo.songoda.com/artifactory/public/</url>
        </repository>
        <repository>
            <id>spigot-repo</id>
            <url>https://hub.spigotmc.org/nexus/content/repositories/snapshots/</url>
        </repository>
        <repository>
            <id>jitpack.io</id>
            <url>https://jitpack.io</url>
        </repository>
    </repositories>


    <build>
        <defaultGoal>clean install</defaultGoal>
        <sourceDirectory>src</sourceDirectory>
        <testSourceDirectory>test</testSourceDirectory>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
                <version>1.7</version>
                <executions>
                    <execution>
                        <phase>validate</phase>
                        <goals>
                            <goal>run</goal>
                        </goals>
                    </execution>
                </executions>
                <inherited>false</inherited>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>2.8</version>
                <configuration>
                    <outputDirectory>jars</outputDirectory>
                    <stripVersion>true</stripVersion>
                    <artifactItems>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>LegacyAdapter</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>McMMO</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>Plugin</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>Core</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                    </artifactItems>
                </configuration>
                <inherited>false</inherited>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>
</project>
